<?php

namespace ShopManagerPro\Shared;

class PluginDetectorService {
	public static ?string $acfVersion = null;
	public static ?string $germanMarketVersion = null;
	public static ?string $wooCommerceVersion = null;

	public static function detect() {
		if (defined('ACF_VERSION')) {
			self::$acfVersion = ACF_VERSION;
		} if (class_exists('Woocommerce_German_Market')) {
			self::$germanMarketVersion = \Woocommerce_German_Market::$version;
		} if (defined('WC_VERSION')) {
			self::$wooCommerceVersion = WC_VERSION;
		}
	}
}
